<?xml version="1.0" encoding="utf-8"?>
<!--
 This file is part of Adblock Plus <https://adblockplus.org/>,
 Copyright (C) 2006-present eyeo GmbH

 Adblock Plus is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.

 Adblock Plus is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Adblock Plus.  If not, see <http://www.gnu.org/licenses/>.
  -->

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="org.adblockplus.adblockplussbrowser.preferences.ui.MainPreferencesViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/main_preferences_share_events_include"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/main_preferences_ad_blocking_include">

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/preferences_group_bg_single"
            app:layout_constraintBottom_toBottomOf="@id/share_events_checkbox"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/main_preferences_issue_reporter_category" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/main_preferences_share_events_header"
            style="@style/CustomPreferenceCategoryTitleTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/share_events_header"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/main_preferences_issue_reporter_category"
            style="@style/PreferenceContainerStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_preferences_share_events_header">

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/issue_reporter_title"
                style="@style/PreferenceTitleTextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/issueReporter_page_title" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/issue_reporter_description"
                style="@style/CustomPreferenceSummaryTextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/issueReporter_page_description" />

        </LinearLayout>

        <View
            android:id="@+id/main_preferences_divider_1"
            style="@style/PreferenceDivider"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_preferences_issue_reporter_category" />

        <LinearLayout
            android:id="@+id/main_preferences_share_events_category"
            style="@style/PreferenceContainerStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_preferences_divider_1">

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/share_events_title"
                style="@style/PreferenceTitleTextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/share_events_title" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/share_events_description"
                style="@style/CustomPreferenceSummaryTextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/share_events_description" />

        </LinearLayout>

        <View
            android:id="@+id/main_preferences_divider_2"
            style="@style/PreferenceDivider"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_preferences_share_events_category" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/share_events_checkbox_description"
            style="@style/PreferenceTitleTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:text="@string/share_events_consent"
            android:textSize="12sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_preferences_divider_2" />

        <com.google.android.material.checkbox.MaterialCheckBox
            android:id="@+id/share_events_checkbox"
            style="@style/ButtonStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:checked="@{viewModel.shareEvents}"
            android:onCheckedChanged="@{() -> viewModel.toggleAnalytics()}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_preferences_divider_2" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>